function [Vol,SD_Vol,VolQuant]=VolBootstrap(XX,Quantili)

if nargin<2
    Quantili = [.05,.16,.84,.95]; 
end
   
Vol = var(XX);
SizeVec= size(XX,1); MonteSize = 5000;  

for iipp=1:MonteSize
    Select = ceil(SizeVec*rand(SizeVec,1)); 
    XXi = XX(Select); 
    VediVol(iipp,1) =  var(XXi); 
end

SD_Vol = std(VediVol);
VolQuant = quantile(VediVol,Quantili); 
